App\Library\Amazon\Classes\PowersportsVehicle:
    xml_root_name: PowersportsVehicle
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\PowersportsVehicle\VariationDataAType
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\PowersportsVehicle\ColorSpecificationAType
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        oEManufacturer:
            expose: true
            access_type: public_method
            serialized_name: OEManufacturer
            accessor:
                getter: getOEManufacturer
                setter: setOEManufacturer
            type: string
